# Class PolarizationOrientation

Object
CodeList<PolarizationOrientation>
PolarizationOrientation

All Implemented Interfaces:
  `Serializable, Comparable<PolarizationOrientation>`

@UML(identifier="MI_PolarizationOrientationCode", specification=ISO_19115_2) public final class PolarizationOrientation extends CodeList<PolarizationOrientation>
Polarization of the antenna relative to the waveform.

Since:
  2.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PolarizationOrientation`
  `HORIZONTAL`
  Polarization of the sensor oriented in the horizontal plane in relation to swath direction.
  `static final PolarizationOrientation`
  `LEFT_CIRCULAR`
  Polarization of the sensor oriented in the left circular plane in relation to swath direction.
  `static final PolarizationOrientation`
  `PHI`
  Polarization of the sensor oriented in the +90 ° and 0 ° perpendicular to swath direction.
  `static final PolarizationOrientation`
  `RIGHT_CIRCULAR`
  Polarization of the sensor oriented in the right circular plane in relation to swath direction.
  `static final PolarizationOrientation`
  `THETA`
  Polarization of the sensor oriented in the angle between +90 ° and 0 ° parallel to swath direction.
  `static final PolarizationOrientation`
  `VERTICAL`
  Polarization of the sensor oriented in the vertical plane in relation to swath direction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PolarizationOrientation[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static PolarizationOrientation`
  `valueOf(String code)`
  Returns the transfer function type that matches the given string, or returns a new one if none match it.
  `static PolarizationOrientation[]`
  `values()`
  Returns the list of `PolarizationOrientation`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### HORIZONTAL

    @UML(identifier="horizontal", obligation=CONDITIONAL, specification=ISO_19115_2) public static final PolarizationOrientation HORIZONTAL
    Polarization of the sensor oriented in the horizontal plane in relation to swath direction.

  - ### VERTICAL

    @UML(identifier="vertical", obligation=CONDITIONAL, specification=ISO_19115_2) public static final PolarizationOrientation VERTICAL
    Polarization of the sensor oriented in the vertical plane in relation to swath direction.

  - ### LEFT_CIRCULAR

    @UML(identifier="leftCircular", obligation=CONDITIONAL, specification=ISO_19115_2) public static final PolarizationOrientation LEFT_CIRCULAR
    Polarization of the sensor oriented in the left circular plane in relation to swath direction.

  - ### RIGHT_CIRCULAR

    @UML(identifier="rightCircular", obligation=CONDITIONAL, specification=ISO_19115_2) public static final PolarizationOrientation RIGHT_CIRCULAR
    Polarization of the sensor oriented in the right circular plane in relation to swath direction.

  - ### THETA

    @UML(identifier="theta", obligation=CONDITIONAL, specification=ISO_19115_2) public static final PolarizationOrientation THETA
    Polarization of the sensor oriented in the angle between +90 ° and 0 ° parallel to swath direction.

  - ### PHI

    @UML(identifier="phi", obligation=CONDITIONAL, specification=ISO_19115_2) public static final PolarizationOrientation PHI
    Polarization of the sensor oriented in the +90 ° and 0 ° perpendicular to swath direction.

- ## Method Details

  - ### values

    public static PolarizationOrientation[] values()
    Returns the list of `PolarizationOrientation`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public PolarizationOrientation[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<PolarizationOrientation>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static PolarizationOrientation valueOf(String code)
    Returns the transfer function type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.